# -*- coding: utf-8 -*-

class LproductAddeol < ActiveRecord::Migration
  def change
    # ローカルプロダクトにeol関連の情報を追加する。
    change_table :sidfmd_lproducts do |t|
      t.boolean :is_support_end, :default => false, :null => false
      t.date :support_date, :default => nil, :null => true
    end
    change_table :sidfmd_lversions do |t|
      t.boolean :is_support_end, :default => false, :null => false
      t.date :release_date, :default => nil, :null => true
      t.date :support_date, :default => nil, :null => true
      t.date :eol_date, :default => nil, :null => true
    end
  end
end
