//配列に変更があるかどうかを取得する
//sortFuncは、sortで比較する対象を指定する
//例:
//func = (a, b) => {
//    if( a.a < b.a ){
//        return -1;
//    }else{
//        return 1;
//    }
//}
//compareArrays( [ {a: 'BA'}, {a: 'CA'}, {a: 'AA'} ], [ {a: 'CA'}, {a: 'AA'}, {a: 'BA'} ], func)
//=> true
function getArraysEqual(array1, array2, sortFunc = null){
    comp1 = array1.concat();
    comp2 = array2.concat(); 
    if( sortFunc ){
        comp1.sort( (a, b) => {
            return sortFunc(a, b);
        });
        comp2.sort( (a, b) => {
            return sortFunc(a, b);
        });
    }else{
        comp1.sort();
        comp2.sort();
    }

    return (JSON.stringify(comp1) === JSON.stringify(comp2) );
}


//重複削除
function removeDupFromArray(array){
    array = new Set(array);
    return Array.from(array);
}
