#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

class CreateSidfmdQueueWindows < ActiveRecord::Migration
  def change
    # Windows用のqueue
    create_table :sidfmd_queue_wins do |t|
      t.references :sidfmd_queue, :index => true

      t.datetime :last_date
      t.string :os

      t.timestamps
    end

    create_table :sidfmd_queue_win_details do |t|
      t.references :sidfmd_queue_win, :index => true

      t.string :title
      t.integer :kb
      t.string :severity

      t.timestamps
    end
  end
end
